> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Uses AI to suggest the most likely client match for an unknown caller based on phone call summary.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /organisations/suggest-unknown-client
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /organisations/suggest-unknown-client:
    post:
      tags:
        - Organisation
      summary: >-
        Uses AI to suggest the most likely client match for an unknown caller
        based on phone call summary.
      requestBody:
        description: >-
          The phone call information including summary to analyze for client
          matching.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneCall'
          text/json:
            schema:
              $ref: '#/components/schemas/PhoneCall'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PhoneCall'
      responses:
        '200':
          description: Successfully found a suggested client match.
        '404':
          description: No suitable client suggestion found.
components:
  schemas:
    PhoneCall:
      type: object
      properties:
        id:
          type: integer
          format: int32
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
          nullable: true
        fromNumber:
          type: string
          nullable: true
        toNumber:
          type: string
          nullable: true
        summary:
          type: string
          nullable: true
        uuid:
          type: string
          nullable: true
        clientId:
          type: integer
          format: int32
        confidence:
          type: integer
          format: int32
        confidenceReason:
          type: string
          nullable: true
        satisfaction:
          type: integer
          format: int32
        satisfactionReason:
          type: string
          nullable: true
        purpose:
          type: string
          nullable: true
        dynamicVariables:
          type: string
          nullable: true
        connectedTo:
          type: integer
          format: int32
          nullable: true
        conversationUuid:
          type: string
          nullable: true
      additionalProperties: false

````